//  Функция выводит данные о поселении в боковую панель из JSON объекта
function PrintInfoAboutSettlement(info)
{
    // ВНИМАНИЕ! я никудышный верстальщик, поэтому делаю как умею. никогда этому не учился, и никто меня не учил

    document.getElementById('settlement-title').innerHTML = info.Title;

    //jumbotron

    var text = '<div class="sidebar-text-element">';
    text += '<p>' + 'Координаты: ' + info.Coordinate.Lat + ' ' + info.Coordinate.Long + '</p>';
    if (info.Founder != null)
        text += '<p>' + 'Основатель: ' + info.Founder + '</p>';

    if (info.Legend != null)
    {
        //text += '<p>' + 'Легенда:</p>';
        text += '<div class="hideLine"><label for="hideLine1">Легенда: [показать]</label><input type="checkbox" id="hideLine1"/>';
        text += '<p class="content">' + info.Legend + '</p></div>';
    }
    if (info.hasBeginning != null)
        text += '<p>' + 'Время основания: ' + info.hasBeginning + '</p>';

    text += '</div>';
    if (info.EditedSettlements != null)
        info.EditedSettlements.forEach(function (element) {
            text += '<div class="sidebar-text-element">';

            if (element.PopulationAll != null)
                text += '<p>' + 'Количество населения: ' + element.PopulationAll + '</p>';
            if (element.PopulationFemales != null)
                text += '<p>' + 'Количество мужского населения: ' + element.PopulationFemales + '</p>';
            if (element.PopulationMales != null)
                text += '<p>' + 'Количество женского населения: ' + element.PopulationMales + '</p>';
            if (element.Region != null)
                text += '<p>' + 'Регион: ' + element.Region.Title + '</p>';
            if (element.Type != null)
                text += '<p>' + 'Тип поселения: ' + element.Type.Title + '</p>';
            if (element.Title != null)
                text += '<p>' + 'Название поселения: ' + element.Title + '</p>';

            text += '<p>' + 'Год: ' + element.hasBeginning.Year + '</p>';
            if (element.Source.includes("www") || element.Source.includes("http"))
                text += '<p>Источник: <a href="' + element.Source + '">ссылка</a></p>';
            else 
                text += '<p>Источник: ' + element.Source + '</p>';

            text += '</div>';
        });    

    document.getElementById('sidebar-text').innerHTML = text;
}

//  Функция выгружает все гео-объекты из данной коллекции на карту
function PlaceFromCollection() {
    Map.geoObjects.add(CollectionVisible);

    //var arr = [];
    //var i = 0;
    //var iterator = CollectionVisible.getIterator(),
    //    object;
    //while ((object = iterator.getNext()) != iterator.STOP_ITERATION) {
    //    arr[i] = object;
    //    i++;
    //}
    //clusterer.add(arr);
    //Map.geoObjects.add(clusterer);
}